# Bet Settlement

Information about bet settlement results are sent to the client as any other settlement information via **Settlement feed**

{% content-ref url="/pages/pCOsbPzku2QUbexzwct0" %}
[Settlement Feed](/odds88-client-api/odds88-feeds/settlement-feed.md)
{% endcontent-ref %}

Example of bet settlement message from settlement feed:

```javascript
{
    "amount": {
        "currency": "EUR",
        "value": 889351,
        "precision": 4,
        "placementExchangeRate": 1.03165105434738,
        "settlementExchangeRate": 1.0325032007599223557593028538
    },
    "betId": "BetPusher_770:79277f3a-0b78-49d4-becc-8b2650a8a28a",
    "betSettlement": 2,
    "payoutMultiplier": 0.0,
    "isCancelled": false,
    "selections": [
        {
            "event": {
                "id": 7161284,
                "name": "Alexander Hejduk vs Petr Serak",
                "isLive": false,
                "startTime": "2025-02-10T09:30:00Z"
            },
            "market": {
                "id": 3985788,
                "type": 28779,
                "name": "Point handicap",
                "properties": {
                    "hcp": "-3.5"
                }
            },
            "selectionId": 47,
            "competitionId": 58036,
            "countryId": 44,
            "sportId": 2,
            "settlement": {
                "settlementResult": 1,
                "settlementTime": "2025-02-10T10:29:03.8759278Z",
                "settlementVersion": 1
            },
            "price": 1.9,
            "limitsRatingId": null,
            "limitsFactor": 1.0,
            "hasLineDeviation": false,
            "isOutright": false,
            "version": 1,
            "deadHeatFactor": 0.0,
            "parameters": {
                "hcp": "-3.5"
            },
            "manualPrice": null,
            "alternativePrice": null,
            "type": 1,
            "betBuilderItems": []
        },
        {
            "event": {
                "id": 7100103,
                "name": "Tommy Shelby @ Stud",
                "isLive": false,
                "startTime": "2025-02-10T10:56:00Z"
            },
            "market": {
                "id": 12322002,
                "type": 900828,
                "name": "dw:FX_MW_PLC",
                "properties": {
                    "isExotics": "false",
                    "isFixedExotics": "false",
                    "marketFeatures": "None",
                    "scratchedPositions": "[8,9]"
                }
            },
            "selectionId": 42723806,
            "competitionId": 10249,
            "countryId": 45,
            "sportId": 458,
            "settlement": {
                "settlementResult": 2,
                "settlementTime": "2025-02-10T11:00:26.2958696Z",
                "settlementVersion": 1
            },
            "price": 2.1,
            "limitsRatingId": null,
            "limitsFactor": 1.0,
            "hasLineDeviation": false,
            "isOutright": false,
            "version": 1,
            "deadHeatFactor": 0.0,
            "parameters": {
                "isExotics": "false",
                "isFixedExotics": "false",
                "marketFeatures": "None",
                "scratchedPositions": "[8,9]"
            },
            "manualPrice": null,
            "alternativePrice": null,
            "type": 1,
            "betBuilderItems": []
        },
        {
            "event": {
                "id": 7100103,
                "name": "Tommy Shelby @ Stud",
                "isLive": false,
                "startTime": "2025-02-10T10:56:00Z"
            },
            "market": {
                "id": 12322019,
                "type": 900831,
                "name": "dw:FX_MW_SHW",
                "properties": {
                    "isExotics": "false",
                    "isFixedExotics": "false",
                    "marketFeatures": "None",
                    "scratchedPositions": "[8,9]"
                }
            },
            "selectionId": 41704715,
            "competitionId": 10249,
            "countryId": 45,
            "sportId": 458,
            "settlement": {
                "settlementResult": 2,
                "settlementTime": "2025-02-10T11:00:26.3025749Z",
                "settlementVersion": 1
            },
            "price": 6.0,
            "limitsRatingId": null,
            "limitsFactor": 1.0,
            "hasLineDeviation": false,
            "isOutright": false,
            "version": 1,
            "deadHeatFactor": 0.0,
            "parameters": {
                "isExotics": "false",
                "isFixedExotics": "false",
                "marketFeatures": "None",
                "scratchedPositions": "[8,9]"
            },
            "manualPrice": null,
            "alternativePrice": null,
            "type": 1,
            "betBuilderItems": []
        }
    ],
    "isRejected": true,
    "settlementTime": "2025-02-10T11:00:26.590549Z",
    "payout": 0.0,
    "partialRefund": 0.0
}

```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/betbuilder-integration/bet-settlement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
